#!/usr/bin/env perl
# (c) Deep IT, Uncle MiF, 2003-2010, mac_support@realsofts.com

use strict;

my $lame = '/usr/local/bin/lame';# PATH to lame encoder

print "\n(c) 2006-2010, MiF, lame wrapper\n\n";
my @wavs = glob "*.[Ww][Aa][Vv]";

if (! -x $lame)
{
	print "install lame first\n";
	exit(1);
}

my $cnt = 0;
my $len = scalar(@wavs);

if (!$len)
{
	print "No WAVs found in currend directory\n";
	exit(2);
}

foreach my $wav (@wavs)
{
	$cnt++;
	my $mp3 = $wav;
	$mp3 =~ s/wav$/mp3/sio;
	print "=== Converting [$cnt from $len]: $wav to $mp3 ===\n\n";
	system($lame, $wav, $mp3);
}